module DefaultWidgetTagHelper
  include Renderer
  include AdminHelper

  def link_to_more_tag(req,params)
    @request = req
    params.delete :inner
    @params = params

    params_str ="?"
    params.each do |index,param|  
      if param.is_a?(Array) and !param.blank?
        params_str << param.collect{|t| "#{index}[]=#{t}"}.join("&")
        params.delete index
        params_str = params_str + "&"
      end
    end  
    params_str = params_str + (params_str.eql?("?") ? params.to_param : "&#{params.to_param}" )
      content_tag :div,:class=> 'more' do 
  	 link_to I18n.t(@more_link[:label_i18n]),[eval("#{@more_link[:path_method]}"),params_str].join()
      end
  end
end